## labgrid-23.0.tar.gz

=== doc/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -W
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = labgrid
SOURCEDIR     = .
BUILDDIR      = .build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
labgrid (0.4.0) UNRELEASED; urgency=low

  * See https://github.com/labgrid-project/labgrid/blob/master/CHANGES.rst

 -- Bastian Krause <bst@pengutronix.de>  Mon, 15 Nov 2022 14:57:24 +0100

labgrid (0.3.0) UNRELEASED; urgency=low

  * See https://github.com/labgrid-project/labgrid/blob/master/CHANGES.rst

 -- Rouven Czerwinski <rcz@pengutronix.de>  Fri, 19 Feb 2021 12:13:16 +0100

labgrid (0.2.0) UNRELEASED; urgency=low

  * Initial release. (Closes: #XXXXXX)

 -- Jan Lübbe <jlu@pengutronix.de>  Mon, 07 Jan 2019 11:57:16 +0100

=== debian/control ===
Source: labgrid
Section: python
Priority: extra
Maintainer: Jan Lübbe <jlu@pengutronix.de>
Build-Depends: debhelper (>= 11), python3-all-dev, dh-exec, dh-virtualenv (>= 0.8), libow-dev,
 libpython3-dev, python3-venv, python3-setuptools, git, libsodium-dev, libffi-dev, libssl-dev
Standards-Version: 3.9.5

Package: labgrid
Architecture: any
Pre-Depends: dpkg (>= 1.16.1), python3, ${misc:Pre-Depends}
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends: openssh-client, microcom, socat, sshfs, rsync, bash-completion
Description: embedded board control python library
 Labgrid is an embedded board control python library with a focus on testing,
 development and general automation. It includes a remote control layer to
 control boards connected to other hosts.
 .
 The idea behind labgrid is to create an abstraction of the hardware control
 layer needed for testing of embedded systems, automatic software installation
 and automation during development. Labgrid itself is not a testing framework,
 but is intended to be combined with pytest (and additional pytest plugins).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python-virtualenv

override_dh_shlibs:
	dh_shlibs -l/opt

override_dh_virtualenv:
	dh_virtualenv \
		--python /usr/bin/python3 \
		--builtin-venv \
		--upgrade-pip \
		--extras deb \
		--extra-pip-arg='--no-binary' \
		--extra-pip-arg='cffi,numpy'
